commit: 3ebaca1130d049bad4d59deb0c85653bd88309a9
Author: Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Wed Jan 18 22:43:38 2023 +0000
Commit: Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
CommitDate: Wed Jan 18 22:43:38 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=3ebaca11
dev-python/sphinxcontrib-katex: drop python3.8, fix QA setup.cfg warn
Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>
.../sphinxcontrib-katex/sphinxcontrib-katex-0.9.3.ebuild | 11 +++++++++--
1 file changed, 9 insertions(+), 2 deletions(-)
diff --git a/dev-python/sphinxcontrib-katex/sphinxcontrib-katex-0.9.3.ebuild
b/dev-python/sphinxcontrib-katex/sphinxcontrib-katex-0.9.3.ebuild
index a8038a462..64c77dabc 100644
--- a/dev-python/sphinxcontrib-katex/sphinxcontrib-katex-0.9.3.ebuild
+++ b/dev-python/sphinxcontrib-katex/sphinxcontrib-katex-0.9.3.ebuild
@@ -1,8 +1,10 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} pypy3 )
inherit distutils-r1
@@ -20,6 +22,11 @@ DOCS=()
distutils_enable_sphinx docs
+src_prepare() {
+ default
+ sed -i -e 's/license_file/license_files/' setup.cfg || die
+}
+
python_install_all() {
distutils-r1_python_install_all
find "${ED}" -name '*.pth' -delete || die